<template>
<div>

    <div class="card">

        <!-- <button @click="testTable()">12312</button> -->

        <div class="card-header card_header_admin">
            <h5 class="mt-3 ms-2">รายการคำร้องใบเสนอราคา</h5>
        </div>
        <div class="card-body mt-3">
            <table id="table_order_price">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>ชื่อ-นามสกุล</th>
                        <th>Email</th>
                        <th>Line ID</th>
                        <th>โทรศัพท์</th>
                        <th>รายละเอียด</th>
                        <th>หมายเหตุ</th>
                        <th>จัดการ</th>
                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>




</div>
</template>




<script>

        var table = '';



    export default {
        data(){
            return{
                id:null,
            }
        },
        methods:{
            testTable(){
                table.ajax.reload();
            },

        },
        computed:{

        },
        mounted(){
            this.globalAddToken();
        },
        created(){

            $(document).ready(function () {

                table = $('#table_order_price').DataTable({
                    processing: true,
                    serverSide: true,
                    ajax: '/api/formorder/list',
                    columns: [
                        {
                            data:"id"
                        },
                        {
                            data:"fullname"
                        },
                        {
                            data:"email"
                        },
                        {
                            data:"line"
                        },
                        {
                            data:"tel"
                        },
                        {
                            data:"note"
                        },
                        {
                            data:"remark"
                        },
                        {
                            data: "status",
                            render: function ( data, type, row ) {

                                if (data == 1) {
                                    return `<button type="button" class="btn btn-primary edit_status" data-id="${row['id']}">ยังไม่ได้ติดต่อ</button>`;
                                }else{
                                    return `<button type="button" class="btn btn-success cancel_status" data-id="${row['id']}">ติดต่อแล้ว</button>`;
                                }

                            }
                        }
                    ],

                })

                $(document).on("click",".edit_status",function() {
                    let user_id = $('#user_id').val();
                    let id = $(this).data('id');

                    Swal.fire({
                        title: 'ยืนยันการติดต่อ',
                        text: 'หมายเหตุ',
                        input: 'text',
                        inputAttributes: {
                            autocapitalize: 'off'
                        },
                        showCancelButton: true,
                        confirmButtonText: 'ยืนยัน',
                        showLoaderOnConfirm: true,

                        }).then((result) => {
                        if (result.isConfirmed) {

                            axios.post('/api/formorder/confirm',{
                                id: id,
                                remark: result.value,
                                user_id: user_id
                            }).then(response =>{
                                // console.log(response.data);
                                Swal.fire(
                                    'บันทึกข้อมูลสำเร็จ!',
                                    '',
                                    'success'
                                );
                                table.ajax.reload();
                            }).catch(err =>{
                                console.log(err);
                            })
                        }
                    })

                });
                $(document).on("click",".cancel_status",function() {
                    let id = $(this).data('id');
                    $('#id_order').val(id);
                });

            });


        }
    }
</script>



